/// <reference types="node" />
/**
 * Options for loading env values
 */
export type loadOptions = {
    lowercase?: boolean;
    uppercase?: boolean;
    verbose?: boolean;
    process?: boolean;
    inlineTypes?: boolean;
    directory?: string;
    replace?: boolean;
    encoding?: BufferEncoding;
    envFilename?: string;
    envDefaultsFilename?: string;
    envTypesFilename?: string;
};
/**
 * Load env values
 * @param   {object} [options] - Loading options
 * @returns {object} - Object containing env values found in a .env file (or the process )
 */
export declare function load(options?: loadOptions): {
    [key: string]: unknown;
};
