/// <reference types="node" />
/**
 * Parse the contents of an env file
 * @param   {string} path - The path of the env file to parse
 * @returns {object} - A key-value dictionary representation of the env file contents
 */
declare function parseFile(path: string, options?: {
    verbose?: boolean;
    encoding?: BufferEncoding;
    inlineTypes?: boolean;
}): {
    [key: string]: unknown;
} | undefined;
/**
 * Parse a string of env formatted data
 * @param   {string} data - env data
 * @returns {object} - A key-value dictionary representation of the env file contents
 */
declare function parse(data: string, options?: {
    verbose?: boolean;
    inlineTypes?: boolean;
    lowercase?: boolean;
    uppercase?: boolean;
}): {
    [key: string]: unknown;
};
export { parse, parseFile };
